# Uses of Class
com.ngrok.definitions.SshHostCertificate

Packages that use SshHostCertificate
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of SshHostCertificate in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type SshHostCertificate
  Modifier and Type
  Method
  Description
  `List<SshHostCertificate>`
  SshHostCertificateList.`getSshHostCertificates()`
  the list of all ssh host certificates on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type SshHostCertificate
  Modifier
  Constructor
  Description
  ``
  `SshHostCertificateList(List<SshHostCertificate> sshHostCertificates, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `SshHostCertificateList`.

- ## Uses of SshHostCertificate in com.ngrok.services

  Methods in com.ngrok.services that return SshHostCertificate
  Modifier and Type
  Method
  Description
  `SshHostCertificate`
  SshHostCertificates.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `SshHostCertificate`
  SshHostCertificates.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `SshHostCertificate`
  SshHostCertificates.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type SshHostCertificate
  Modifier and Type
  Method
  Description
  `CompletionStage<SshHostCertificate>`
  SshHostCertificates.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<SshHostCertificate>`
  SshHostCertificates.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<SshHostCertificate>`
  SshHostCertificates.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.